## bsdiff 4.3

=== Makefile ===
CFLAGS		+=	-O3 -lbz2

PREFIX		?=	/usr/local
INSTALL_PROGRAM	?=	${INSTALL} -c -s -m 555
INSTALL_MAN	?=	${INSTALL} -c -m 444

all:		bsdiff bspatch
bsdiff:		bsdiff.c
bspatch:	bspatch.c

install:
	${INSTALL_PROGRAM} bsdiff bspatch ${PREFIX}/bin
.ifndef WITHOUT_MAN
	${INSTALL_MAN} bsdiff.1 bspatch.1 ${PREFIX}/man/man1
.endif

=== debian/changelog ===
bsdiff (4.3-23) unstable; urgency=medium

  * Add debian/gbp.conf for debian/latest branch (DEP-14)
  * Use debhelper-compat 13
  * Freshen years in debian/copyright
  * Set Rules-Requires-Root: no in debian/control
  * Remove unused lintian override
  * Add autopkgtest
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Thu, 13 Jan 2022 08:20:22 -0800

bsdiff (4.3-22) unstable; urgency=high

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ tony mancill ]
  * Update Maintainer (Closes: #920105)
  * Apply patch for CVE-2020-14315 (Closes: #964796)
  * Freshen debian/copyright.

 -- tony mancill <tmancill@debian.org>  Sat, 03 Apr 2021 13:41:41 -0700

bsdiff (4.3-21) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Use debhelper 11
  * Bump Standards-Version to 4.1.4

 -- tony mancill <tmancill@debian.org>  Sun, 22 Apr 2018 15:46:19 -0700

bsdiff (4.3-20) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use existing cross compiler. (Closes: #794155)

  [ tony mancill ]
  * Add myself to Uploaders:
  * Use debhelper 10
  * Bump Standards-Version to 4.1.0

 -- tony mancill <tmancill@debian.org>  Tue, 19 Sep 2017 06:03:12 -0700

bsdiff (4.3-19) unstable; urgency=medium

  * debian/control
    - (Homepage): Fix duck(1) "Couldn't connect to server" by updating
      URL.
  * debian/patches
    - (10): Adjust URL in header.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 Nov 2016 07:15:01 +0200

bsdiff (4.3-18) unstable; urgency=medium

  * debian/bsdiff.lintian-overrides
    - Minor adjustments.
  * debian/patches
    - (30, 31, 32): New. (Closes: #632585).
      Make program less memory hungry.
      Patches thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Nov 2016 07:42:01 +0200

bsdiff (4.3-17) unstable; urgency=medium

  * debian/patches
    - (20): New. Closes: CVE-2014-9862
      Description: No check for negative values on the number of bytes to
      read from the "diff" and "extra" streams, allowing an attacker
      controlling the patch file to write at arbitrary locations in the
      heap.
      https://security-tracker.debian.org/tracker/CVE-2014-9862

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 07:34:37 +0300

bsdiff (4.3-16) unstable; urgency=medium

  * debian/copyright
    - Change from BSD to BSD-2-clause.
  * debian/control
    - (Homepage): Update to Sourceforge.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/bsdiff.lintian-overrides
    - New file.
  * debian/rules
    - Use the host arch compiler instead of plain gcc
      (FTBS; Closes: #794155). Patch thanks to
      Helmut Grohne <helmut@subdivi.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 17:54:17 +0300

bsdiff (4.3-15) unstable; urgency=low

  * debian/control
    - (Standards-Version): Update to 3.9.4.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/patches
    - (10): New. Adjust Makefile to not have .ifdef directive.
      (Closes: #718104).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Aug 2013 15:40:34 +0300

bsdiff (4.3-14) unstable; urgency=low

  * debain/rules: Adjust linker flag order (FTBFS; #673995).
    Patch thanks to Jean-Louis Dupond <jean-louis@dupond.be>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 23 May 2012 12:58:42 +0300

bsdiff (4.3-13) unstable; urgency=low

  * debian/control
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Use CPPFLAGS for hardening too.
     - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 13:10:15 -0400

bsdiff (4.3-12) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update to format 1.0.
  * debian/README.Debian
    - Rename from docs/README.
  * debian/rules
    - Enable all hardening flags.
    - Delete buildflags.mk; not needed with debhelper 9.
    - (get-changelog): New.
    - (override_dh_installchangelogs): New
  * debian/upstream.changelog
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 06 Mar 2012 10:34:28 -0500

bsdiff (4.3-11) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to latest DEP5 format.
  * debian/rules
    - Remove unnecessary rules.
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Feb 2012 15:13:18 -0500

bsdiff (4.3-10) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - New file.
  * debian/copyright
    - (Files: debian/*::Copyright): adjust indent.
  * debian/rules
    - (clean): delete. Obsoleted by dh(1).
    - (dh): New rule.
    - (bsdiff): New simplified rule; was "build-stamp".
    - (PHONY): Remove "clean".

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 15 Dec 2009 02:11:29 +0200

bsdiff (4.3-9) unstable; urgency=low

  * New maintainer (Closes: #543933).
  * debian/control
    - (Vcs-*): Add Git URLs.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Nov 2009 19:28:40 +0000

bsdiff (4.3-8) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 16:38:40 +0200

bsdiff (4.3-7) unstable; urgency=low

  * Updating vcs fields in control file.
  * Prefixing debhelper files with package name.
  * Tidy rules file.
  * Updating year in copyright file.
  * Updating package to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 20 Jul 2009 11:29:40 +0200

bsdiff (4.3-6) unstable; urgency=medium



=== debian/control ===
Source: bsdiff
Section: utils
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13), libbz2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/bsdiff
Vcs-Git: https://salsa.debian.org/debian/bsdiff.git
Homepage: https://www.daemonology.net/bsdiff
Rules-Requires-Root: no

Package: bsdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bspatch
Description: generate/apply a patch between two binary files
 bsdiff and bspatch are tools for building and applying patches to binary files.
 By using suffix sorting (specifically, Larsson and Sadakane's qsufsort) and
 taking advantage of how executable files change, bsdiff routinely produces
 binary patches 50-80% smaller than those produced by Xdelta, and 15% smaller
 than those produced by .RTPatch (a commercial patch tool).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(origin CC),default)
    CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

CHANGELOG = debian/upstream.changelog
URL = https://www.daemonology.net/bsdiff/

# Run manually as needed
get-changelog:
	lynx -dump $(URL) > $(CHANGELOG)

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o bsdiff  bsdiff.c -lbz2
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o bspatch bspatch.c -lbz2

override_dh_auto_install:
	# not needed: see debian/bsdiff.install and debian/bsdiff.manpages

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

%:
	dh $@

# End of file

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, coreutils
Restrictions: allow-stderr

=== debian/watch ===
version=4
# <Webpage URL> <string match> [Version  [Action]]

https://www.daemonology.net/bsdiff/ bsdiff-(.+)\.tar\.gz
